;InnoSetupVersion=2.0.18

[Setup]
AppName=CopyWiz
AppVerName=CopyWiz
AppId=CopyWiz
AppVersion=1.0c
AppPublisher=Kinook Software, Inc.
AppPublisherURL=http://www.kinook.com
AppSupportURL=http://www.kinook.com/support.html
AppUpdatesURL=http://www.kinook.com/download.html
DefaultDirName={pf}\CopyWiz
DefaultGroupName=CopyWiz
UninstallDisplayIcon={app}\CopyWiz.exe
OutputBaseFilename=CopyWizEval
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\CopyWiz.exe"; DestDir: "{app}"; MinVersion: 4.0.1111,4.0; 
Source: "{app}\CopyWiz.exe.manifest"; DestDir: "{app}"; MinVersion: 4.0.1111,4.0; 
Source: "{app}\CopyWiz.hlp"; DestDir: "{app}"; MinVersion: 4.0.1111,4.0; 
Source: "{app}\CopyWiz.cnt"; DestDir: "{app}"; MinVersion: 4.0.1111,4.0; 
Source: "{app}\Register.ico"; DestDir: "{app}"; MinVersion: 4.0.1111,4.0; 

[Registry]
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\CopyWiz.exe"; MinVersion: 4.0.1111,4.0; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\CopyWiz.exe"; ValueType: String; ValueData: "{app}\CopyWiz.exe"; MinVersion: 4.0.1111,4.0; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\CopyWiz.exe"; ValueName: "Path"; ValueType: String; ValueData: "{app}"; MinVersion: 4.0.1111,4.0; 
Root: HKCR; Subkey: "VisualBasic.Project\shell\Copy with CopyWiz"; MinVersion: 4.0.1111,4.0; Flags: uninsdeletekey noerror 
Root: HKCR; Subkey: "VisualBasic.Project\shell\Copy with CopyWiz\command"; ValueType: String; ValueData: """{app}\CopyWiz.exe"" ""%1"""; MinVersion: 4.0.1111,4.0; Flags: noerror 
Root: HKCR; Subkey: "dspfile\shell\Copy with CopyWiz"; MinVersion: 4.0.1111,4.0; Flags: uninsdeletekey noerror 
Root: HKCR; Subkey: "dspfile\shell\Copy with CopyWiz\command"; ValueType: String; ValueData: """{app}\CopyWiz.exe"" ""%1"""; MinVersion: 4.0.1111,4.0; Flags: noerror 
Root: HKCU; Subkey: "Software\Kinook Software"; MinVersion: 4.0.1111,4.0; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Kinook Software\CopyWiz"; MinVersion: 4.0.1111,4.0; Flags: uninsdeletekey 

[Run]
Filename: "{app}\CopyWiz.exe"; Description: "Launch CopyWiz now"; MinVersion: 4.0.1111,4.0; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\CopyWiz"; Filename: "{app}\CopyWiz.exe"; MinVersion: 4.0.1111,4.0; 
Name: "{group}\Register"; Filename: "{app}\CopyWiz.exe"; Parameters: "register"; IconFilename: "{app}\Register.ico"; MinVersion: 4.0.1111,4.0; 
Name: "{group}\CopyWiz Help"; Filename: "{app}\CopyWiz.hlp"; MinVersion: 4.0.1111,4.0; 
Name: "{userdesktop}\CopyWiz"; Filename: "{app}\CopyWiz.exe"; Tasks: desktopicon; MinVersion: 4.0.1111,4.0; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\CopyWiz"; Filename: "{app}\CopyWiz.exe"; Tasks: quicklaunchicon; MinVersion: 4.0.1111,4.0; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; MinVersion: 4.0.1111,4.0; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; MinVersion: 4.0.1111,4.0; 
